<div class="ui-card ui-widget ui-widget-content ui-corner-all map-panel map">
  <div class="ui-card-body">
    <div class="ui-card-title ng-star-inserted">
      Game: {{gameId}} | Current turn: {{turnDisplay}} | {{playerActive}}
    </div>
    <div class="ui-card-content map-content">
      <table id="unitsMap">
        <tr *ngFor="let unitsLine of unitsMap">
          <td class="col {{mapService.readCell(unitsCell)}}" [style.height.px]="500/tiledMap.length" *ngFor="let unitsCell of unitsLine"></td>
        </tr>
      </table>
      <table id="tiledMap">
        <tr *ngFor="let tiledLine of tiledMap">
          <td class="col {{mapService.readCell(tiledCell)}}" [style.height.px]="500/tiledMap.length" *ngFor="let tiledCell of tiledLine"></td>
        </tr>
      </table>
    </div>
  </div>
</div>

<div class="right-container">
  <div class="ui-card ui-widget ui-widget-content ui-corner-all map-panel control-panel">
    <div class="ui-card-body">
      <div class="ui-card-title ng-star-inserted">CONTROL PANEL </div>
      <div class="ui-card-content map-content">
        <div>
          <p-button class="control-button" label="Prev turn" [disabled]="btnPrevDisabled" (onClick)="previewTurn()"></p-button>
          <p-button class="control-button" label="Next turn" [disabled]="btnNextDisabled" (onClick)="nextTurn()"></p-button>
          <p-button class="control-button" icon="fa fa-play" label="Auto play" (onClick)="autoPlay()"></p-button>
          <p-button class="control-button" icon="fa fa-pause" label="Pause" (onClick)="pause()"></p-button>
          <p-button class="control-button" icon="fa fa-reply" label="Back to list" routerLink="/game-logs-archive"></p-button>
        </div>
        <div class="statistic">
          <div class={{statisticPlayer1StyleName}}>
            <div class="player-header-left">Player 1</div>
            <div class="shield">
              <img class="shield-img-p1" />
            </div>
            <div style="width: 64%; float: left">
              <div style="width: 90%; margin: 5%">
              </div>
              <div class="stat1">
                <img class="gold-img" />
                <span>Gold: {{goldP1}}</span>
              </div>
              <div class="stat1">
                <img class="worker-img-p1" />
                <span>Workers: {{workersP1}}</span>
              </div>
              <div class="stat1">
                <img class="warrior-img-p1" />
                <span>Warriors: {{warriorsP1}}</span>
              </div>
              <div class="stat1">
                <img class="archer-img-p1" />
                <span>Archers: {{archersP1}}</span>
              </div>
              <div class="stat1">
                <img class="horse-img-p1" />
                <span>Horses: {{horsesP1}}</span>
              </div>
            </div>
          </div>
          <div class={{statisticPlayer2StyleName}}>
            <div class="player-header-right">Player 2</div>
            <div style="width: 64%; float: left">
              <div style="width: 90%; margin: 5%">
              </div>
              <div class="stat2">
                <span>Gold: {{goldP2}}</span>
                <img class="gold-img" />
              </div>
              <div class="stat2">
                <span>Workers: {{workersP2}}</span>
                <img class="worker-img-p2" />
              </div>
              <div class="stat2">
                <span>Warriors: {{warriorsP2}}</span>
                <img class="warrior-img-p2" />
              </div>
              <div class="stat2">
                <span>Archers: {{archersP2}}</span>
                <img class="archer-img-p2" />
              </div>
              <div class="stat2">
                <span>Horses: {{horsesP2}}</span>
                <img class="horse-img-p2" />
              </div>
            </div>
            <div class="shield">
              <img class="shield-img-p2" />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="ui-card ui-widget ui-widget-content ui-corner-all map-panel log-panel">
    <div class="ui-card-body">
      <div class="ui-card-title ng-star-inserted">GAME LOG</div>
      <div class="ui-card-content map-content">
        <div *ngIf="!completeLoad">
          <br/><br/>
          <p-progressSpinner class="ui-progress-spinner-color"></p-progressSpinner><br/>
          <span>loading game states...</span>
        </div>
        <p-scrollPanel *ngIf="completeLoad" [style]="{width: '100%', height: '200px'}">
          <table class="log-table">
            <tr>
              <td></td>
            </tr>
            <ng-container *ngFor="let state of gameStates">
              <tr>
                <td id="turn{{state.currentTurn}}">
                  <b>TURN {{state.currentTurn+1}}: </b> {{gameStateToLog(state)}}<br/>
                </td>
              </tr>
              <tr>
                <td>
                  <ng-container *ngFor="let log of state.lastLogs; let i = index">
                    <b style="padding-left: 2vw">🔰   action:</b> {{log}}<br/>
                  </ng-container>
                </td>
              </tr>
            </ng-container>
            <tr>
              <td></td>
            </tr>
          </table>
        </p-scrollPanel>
      </div>
    </div>
  </div>
</div>

<p-dialog class="dialog" header="Finish game!" [(visible)]="display">
  <div class="result-dialog">
    Winner player ID:<br/>
    <h3>{{this.winnerId}}</h3>
    <div class="shieldResult">
      <img class="{{playerWinnerShieldClass}}" />
    </div><br/>
    <p-button label="Ok!" (onClick)="confirmDialog()"></p-button>
  </div>
</p-dialog>

<div *ngIf="display" class="shadow"></div>
